Bug 1558715 (CVE-2017-18238) - CVE-2017-18238 exempi: Infinite loop in TradQT_Manager::ParseCachedBoxes function in XMPFiles/source/FormatSupport/QuickTime_Support.cpp
Summary: CVE-2017-18238 exempi: Infinite loop in TradQT_Manager::ParseCachedBoxes func...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-18238
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1558717 1572268 1572270
Blocks: 1555158
TreeView+ depends on / blocked
 
Reported: 2018-03-20 21:09 UTC by Pedro Sampaio
Modified: 2019-09-29 14:35 UTC (History)
3 users (show)

Fixed In Version: exempi 2.4.4
Doc Type: If docs needed, set a value
Doc Text:
An infinite loop has been discovered in Exempi in the way it handles Extensible Metadata Platform (XMP) data in QuickTime files. An attacker could cause a denial of service via a crafted file.
Clone Of:
Environment:
Last Closed: 2019-08-06 19:18:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2048 None None None 2019-08-06 12:07:20 UTC

Description Pedro Sampaio 2018-03-20 21:09:36 UTC
An issue was discovered in Exempi before 2.4.4. The TradQT_Manager::ParseCachedBoxes function in XMPFiles/source/FormatSupport/QuickTime_Support.cpp allows remote attackers to cause a denial of service (infinite loop) via crafted XMP data in a .qt file.

Upstream bug:

https://bugs.freedesktop.org/show_bug.cgi?id=102483

Upstream patch:

https://cgit.freedesktop.org/exempi/commit/?id=886cd1d2314755adb1f4cdb99c16ff00830f0331

Comment 1 Pedro Sampaio 2018-03-20 21:10:08 UTC
Created exempi tracking bugs for this issue:

Affects: fedora-all [bug 1558717]

Comment 4 Riccardo Schirone 2018-04-26 15:02:40 UTC
Statement:

This issue did not affect the versions of Exempi as shipped with Red Hat Enterprise Linux 6 as they did not include the vulnerable code.

Comment 6 errata-xmlrpc 2019-08-06 12:07:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2048 https://access.redhat.com/errata/RHSA-2019:2048

Comment 7 Product Security DevOps Team 2019-08-06 19:18:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-18238


Note You need to log in before you can comment on or make changes to this bug.